<template>
	<div class="header box-border">
		<div
			:class="addClass"
			class="mx-auto flex justify-between items-center"
		>
			<div class="logo">
				<LogoImage imgSize="2x" class="h-12 my-2.5" />
			</div>
			<div
				class="
					font-bold
					text-center
					py-3.5
					px-4
					border-box
					w-40
					bg-obsidian-transparent
				"
			>
				<p class="text-base">{{ time }}</p>
				<p class="text-xs text-shades-orange-light">{{ date }}</p>
			</div>
		</div>
	</div>
</template>

<script>
import LogoImage from "../../../components/LogoImage.vue";

export default {
	name: "Header",
	props: {
		addClass: String,
	},
	components: {
		LogoImage,
	},
	data() {
		return {
			time: "",
			date: null,
			called: 0
		};
	},
	mounted() {
		this.getDatetime();
	},
	methods: {
		getDatetime() {
			setInterval(() => {
				const datetime = new Date();
				this.called += 1
				this.time = datetime.toLocaleTimeString("en-US", {
					hour: "2-digit",
					minute: "2-digit",
					second: "2-digit",
					hours12: true,
				}).replace(/:/g, " : ");
				this.date = datetime.toLocaleString("id", {
					weekday: "long",
					day: "numeric",
					month: "long",
					year: "numeric",
				});
			}, 1000);
		},
	},
};
</script>

<style>
.header {
	background: linear-gradient(
		270deg,
		rgba(0, 0, 0, 0) 0%,
		rgba(0, 0, 0, 0.005) 20%,
		rgba(95, 46, 46, 0.248) 80%,
		rgba(95, 46, 46, 0.38) 100%
	);
}
</style>